config-version: 2

# Name your package! Package names should contain only lowercase characters
# and underscores. A good package name should reflect your organization's
# name or the intended use of these models
name: 'data_hunt'
version: '1.0'

# This setting configures which "profile" dbt uses for this project. Profiles contain
# database connection information, and should be configured in the  ~/.dbt/profiles.yml file
profile: 'data_hunt'

# This helps to ensure that the entire team and CI setup keeps up to date as we
# migrate between versions. Upgrade with:
#  brew install dbt@[version_number]
#  brew link --overwrite dbt@[version_number]
require-dbt-version: ">=1.4.0"

# These configurations specify where dbt should look for different types of files.
# The `source-paths` config, for example, states that source models can be found
# in the "models/" directory. You probably won't need to change these!
model-paths: ["models"]
analysis-paths: ["analysis"] 
test-paths: ["tests"]
seed-paths: ["data"]
macro-paths: ["macros"]

target-path: "target"  # directory which will store compiled SQL files
clean-targets:     # directories to be removed by `dbt clean`
  - "target"
  - "dbt_modules"

# You can define configurations for models in the `source-paths` directory here.
# Using these configurations, you can enable or disable models, change how they
# are materialized, and more!

# In this example config, we tell dbt to build all models in the example/ directory
# as views (the default). These settings can be overridden in the individual model files
# using the `{{ config(...) }}` macro.
models:
  data_hunt:
    # Applies to all files under models/example/
    fitbit:
      base:
        materialized: view
    google:
      base:
        materialized: view
    marts:
      materialized: table
      schema: marts
